Validate Account
https://api.druo.com/accounts/validateSubmits an account validation request and creates a validated Account object.
This endpoint validates account details provided by the merchant and registers the account in the DRUO system. It can associate the account with either a new end user or an existing end user ID.
Request body
The UUID of the Institution where the Account is registered.
The type of account. Determines whether the account holds value.
The subtype of account. Provides further detail about the type of account.
The account's number.
The new user's details. This field is required only if existing_end_user_id is empty.
The ID of an existing end user.
The account's routing number (usually indicates where the account was opened).
The primary reference to associate the account with an entity in an external system.
The secondary reference to associate the account with an entity in an external system.
Set of key-value pairs that you can attach to an object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.
Response
The Connect Link used to validate this account.
clk_422f0f81-5001-4cce-a229-242d9ab9960aThe current status of this validated account.
VALIDATION_PENDINGIf true, use the Validate Account endpoint with the slug of pending_account_validations.
TRUEFALSEA list of pending account authorizations to validate this account. If this field is present, use the Authorize Account endpoint with the slug value.
[{"slug":"b8772a3a-ca25-4fec-a669-adb91d6ee26d-bc4277fa-3d5c-4383-bb50-f044975a66eb","action":"CONFIRM_REQUEST_WITH_INSTITUTION"}]Object containing the UUID and name of the institution where the account is registered.
{"uuid":"ins_ff6c5094-1cd1-11ec-9621-0242ac130002","name":"Banco"}The type of account. Determines whether the account holds value.
DEPOSITORYThe subtype of account. Provides further detail about the type of account.
SAVINGSThe capabilities available for this account.
PAYMENTS, BALANCE, IDENTITY, AUTHENTICATION, TRANSFERSThe full End User object related to this Account.
The account's disconnection note.
The primary reference to associate the account with an entity in an external system.
23423524The secondary reference to associate the account with an entity in an external system.
bj39fhow39fhqp3f0hfae4344Set of key-value pairs that you can attach to an object.
{"order_id":"6735"}Creation date and time of the account in GMT.
2021-11-15T23:23:38ZLast update date and time of the account in GMT.
2021-11-15T23:23:38Z
